Images
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/images'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backdrops": [
{
"aspect_ratio": 1.778,
"file_path": "/vq5syjWOMTqLUw10wVwnKBZU5CV.jpg",
"height": 2160,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 3840
}
],
"id": 259666,
"logos": [
{
"aspect_ratio": 7.468,
"file_path": "/hiRnc3tGBHN9K2fWcor0tshzKCC.png",
"height": 462,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 3450
}
],
"posters": [
{
"aspect_ratio": 0.667,
"file_path": "/py0s87C9214KRbZ4kWLQfgsE9ET.jpg",
"height": 3000,
"iso_639_1": "es",
"vote_average": 3.334,
"vote_count": 1,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/ixY3Ulu26di9b3cDf9yrLhwsiYy.jpg",
"height": 3000,
"iso_639_1": "es",
"vote_average": 2.278,
"vote_count": 3,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/xir4SRNcXLRo4f5TdmY822jCINP.jpg",
"height": 1350,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 900
}
]
}TV Series
Images
Get the images that belong to a TV series.
This method will return the backdrops, posters and logos that have been added to a TV show.
📘Note
If you have a language specified, it will act as a filter on the returned items. You can use the include_image_language param to query additional languages.
GET
/
3
/
tv
/
{series_id}
/
images
Images
Path Parameters
Query Parameters
Example:
"es"
Response
200 - application/json
Images
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 1.778,
"file_path": "/vq5syjWOMTqLUw10wVwnKBZU5CV.jpg",
"height": 2160,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 3840
}
]
Example:
259666
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 7.468,
"file_path": "/hiRnc3tGBHN9K2fWcor0tshzKCC.png",
"height": 462,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 3450
}
]
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 0.667,
"file_path": "/py0s87C9214KRbZ4kWLQfgsE9ET.jpg",
"height": 3000,
"iso_639_1": "es",
"vote_average": 3.334,
"vote_count": 1,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/ixY3Ulu26di9b3cDf9yrLhwsiYy.jpg",
"height": 3000,
"iso_639_1": "es",
"vote_average": 2.278,
"vote_count": 3,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/xir4SRNcXLRo4f5TdmY822jCINP.jpg",
"height": 1350,
"iso_639_1": "es",
"vote_average": 0,
"vote_count": 0,
"width": 900
}
]